VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Attributes | Static Public Attributes | List of all members
CSliderBase::Impl Struct Reference

## Public Attributes
SharedPointer< CVSTGUITimer > | rampTimer
int32_t | style {0}
float | zoomFactor {10.f}
CSliderMode | mode {CSliderMode::UseGlobal}
CPoint | offsetHandle
CPoint | handleSize {1., 1.}
CCoord | rangeHandle {0.}
CCoord | minTmp {0.}
CCoord | maxTmp {0.}
CCoord | minPos {0.}
CPoint | meStartPoint
float | mePreviousVal
float | meStartValue
CButtonState | meOldButton
CCoord | meDelta {0.}

## Static Public Attributes
static CSliderMode | globalMode = CSliderMode::FreeClick

## Member Data Documentation

CSliderMode globalMode = CSliderMode::FreeClick
| static

CPoint handleSize {1., 1.}

CCoord maxTmp {0.}

CCoord meDelta {0.}

CButtonState meOldButton

float mePreviousVal

CPoint meStartPoint

float meStartValue

CCoord minPos {0.}

CCoord minTmp {0.}

CSliderMode mode {CSliderMode::UseGlobal}

CPoint offsetHandle

SharedPointer<CVSTGUITimer> rampTimer

CCoord rangeHandle {0.}

int32_t style {0}

float zoomFactor {10.f}

The documentation for this struct was generated from the following file:

- cslider.cpp